﻿@{
    ViewBag.Title = "InPatient";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>InPatient Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">

                    <div class="form-group">
                        <label for="inputPatientNo" class="col-sm-2 control-label">Select Patient No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="inputPatientNo">
                              
                                
                              
                            </select>
                        </div>
                    </div>

                     <div class="form-group">
                        <label for="InputAdvancePayment" class="col-sm-2 control-label">Advance Payment</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputAdvancePayment">
                                <option>500</option>
                                <option>1000</option>
                                <option>1500</option>
                                <option>2000</option>
                                <option>2500</option>
                                <option>3000</option>
                                <option>3500</option>
                                <option>4000</option>
                                <option>4500</option>
                                <option>5000</option>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputRoomID" class="col-sm-2 control-label">Select Room No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputRoomID">
                              

                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputLabID" class="col-sm-2 control-label">Select Lab Category</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputLabID">
                               

                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputMedID" class="col-sm-2 control-label">Select Medicine's ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputMedID">
                              

                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="InputNurseID" class="col-sm-2 control-label">Select Nurse ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputNurseID">
                              
                            </select>
                        </div>
                    </div>
                 
                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddInPatientData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>
<script>
    function AddInPatientData() {
        debugger;
        var PatientNo = $('#inputPatientNo :selected').attr('id');
        var AdvancePayment = $('#InputAdvancePayment :selected').val();
        var RoomID = $('#InputRoomID :selected').attr('id');
        var LabID = $('#InputLabID :selected').attr('id');
        var MedID = $('#InputMedID :selected').attr('id');
        var NurseID = $('#InputNurseID :selected').attr('id');

        $.ajax({
            url: '@Url.Action("AddInPatient", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ PatientNo: PatientNo, AdvancePayment: AdvancePayment, RoomID: RoomID, LabID: LabID, MedID: MedID, NurseID: NurseID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>


<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
        alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllDropDownsPNRM", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var Patient = data.Patient;
                    var Room = data.Room;
                    var Lab = data.Lab;
                    var Medicine = data.Medicine;
                    var Nurse = data.Nurse;

                    for (i = 0; i < Patient.length; i++) {
                        $('#inputPatientNo').append('<option id=' + Patient[i].pono + ' value=' + Patient[i].pname + ' >' + Patient[i].pname + '  </option>');
                    }

                    for (i = 0; i < Room.length; i++) {
                        $('#InputRoomID').append('<option id=' + Room[i].bedid + ' value=' + Room[i].type + ' >' + Room[i].type+ '  </option>');

                    }

                    for (i = 0; i < Lab.length; i++) {
                        $('#InputLabID').append('<option id=' + Lab[i].labno + ' value=' + Lab[i].category + ' >' + Lab[i].category + '  </option>');

                    }

                    for (i = 0; i < Medicine.length; i++) {
                        $('#InputMedID').append('<option id=' + Medicine[i].medid + ' value=' + Medicine[i].name+ ' >' + Medicine[i].name+ '  </option>');

                    }

                    for (i = 0; i < Nurse.length; i++) {
                        $('#InputNurseID').append('<option id=' + Nurse[i].nurseid + ' value=' + Nurse[i].name+ ' >' + Nurse[i].name+ '  </option>');

                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>